﻿namespace Telerik.UI.Xaml.Controls.Input
{
    /// <summary>
    /// Specifies the supported display modes by the calendar control.
    /// </summary>
    public enum CalendarDisplayMode
    {
        /// <summary>
        /// This view represents all days in a single month.
        /// </summary>
        MonthView,

        /// <summary>
        /// This view represents all months in a year.
        /// </summary>
        YearView,

        /// <summary>
        /// This view represents all years in a decade.
        /// </summary>
        DecadeView,

        /// <summary>
        /// This view represents all decades in a century.
        /// </summary>
        CenturyView,

        /// <summary>
        /// This view represents a single or up to seven days in a week.
        /// </summary>
        MultiDayView
    }
}
