namespace Telerik.UI.Xaml.Controls.Input
{
    /// <summary>
    /// Specifies the precision of RadRating.
    /// </summary>
    public enum RatingDisplayPrecision
    {
        /// <summary>
        /// Specifies that only the full shape of the RatingItems can be visualized as selected.
        /// </summary>
        Item,

        /// <summary>
        /// Specifies that only full or half of the shape of the RatingItems can be visualized as selected.
        /// </summary>
        Half,

        /// <summary>
        /// Specifies that the shape of the RatingItems can be partially visualized as selected.
        /// </summary>
        Exact
    }
}